NETWORKCTL(1)

BEZEICHNUNG
networkctl - Den Status der Netzwerkverbindungen abfragen

ÜBERSICHT

networkctl [OPTIONEN…] BEFEHL [VERBINDUNG…]

BESCHREIBUNG

networkctl kann zum Prüfen des Zustands von Netzwerkverbindungen, wie sie von systemd-networkd gesehen werden, verwandt werden. Bitte lesen Sie systemd-networkd.service(8) für eine Einführung in die grundlegenden Konzepte, Funktionalitäten und Konfigurationssyntax.

OPTIONEN

Die folgenden Optionen werden verstanden:

-a --all
    Zeigt mit status alle Verbindungen.

-h, --help
    zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    zeigt eine kurze Versionszeichenkette an und beendet das Programm.

--no-legend
    Gibt die Legende nicht aus, d.h. die Spaltenköpfe und die Fußzeile mit Hinweisen.

--no-pager
    Die Ausgabe nicht an einen Pager weiterleiten.

BEFEHLE

Die folgenden Befehle werden verstanden:

list [VERBINDUNG…]
    Zeigt eine Liste der existierenden Verbindungen und ihren Status. Falls keine weiteren Argumente festgelegt sind, werden alle Verbindungen angezeigt, andernfalls nur die festgelegten Verbindungen. Erstellt Ausgabe ähnlich folgender:

        IDX LINK         TYPE     OPERATIONAL SETUP
          1 lo           loopback carrier     unmanaged
          2 eth0         ether    routable    configured
          3 virbr0       ether    no-carrier  unmanaged
          4 virbr0-nic   ether    off         unmanaged
        4 links listed.

status [VERBINDUNG…]
    Zeigt Informationen über die festgelegten Verbindungen: Typ, Status, Kernelmodultreiber, Hardware- und IP-Adresse, konfigurierte DNS-Server usw.

    Wenn keine Verbindungen festgelegt wurden, wird ein Gesamtnetzwerkstatus angezeigt. Siehe auch die Option --all.

    Erstellt Ausgabe ähnlich folgender:

        â      State: routable
             Address: 10.193.76.5 on eth0
                      192.168.122.1 on virbr0
                      169.254.190.105 on eth0
                      fe80::5054:aa:bbbb:cccc on eth0
             Gateway: 10.193.11.1 (CISCO SYSTEMS, INC.) on eth0
                 DNS: 8.8.8.8
                      8.8.4.4

lldp [VERBINDUNG…]
    Zeigt entdeckte LLDP- (Link Layer Discovery Protocol)Nachbarn. Falls eine oder mehrere Verbindungsname(n) festgelegt sind, werden nur die Nachbarn auf diesen Schnittstelen angezeigt. Andernfalls werden die Nachbarn auf allen Schnittstellen angezeigt. Beachten Sie, dass LLDP= auf der festgelegten Schnittstelle angeschaltet sein muss, damit diese Funktionalität funktioniert, siehe systemd.network(5) für Details.

    Erstellt Ausgabe ähnlich folgender:

        LINK             CHASSIS ID        SYSTEM NAME      CAPS        PORT ID           PORT DESCRIPTION
        enp0s25          00:e0:4c:00:00:00 GS1900           ..b........ 2                 Port #2
        Capability Flags:
        o - Other; p - Repeater;  b - Bridge; w - WLAN Access Point; r - Router;
        t - Telephone; d - DOCSIS cable device; a - Station; c - Customer VLAN;
        s - Service VLAN, m - Two-port MAC Relay (TPMR)
        1 neighbors listed.

label
    Zeigt numerische Adresskennzeichnungen, die zur Adressauswahl verwandt werden können. Dies ist die gleiche Information, die ip-addrlabel(8) zeigt. Siehe RFC 3484[1] für eine Diskussion von Adresskennzeichnungen.

    Erstellt Ausgabe ähnlich folgender:

        Prefix/Prefixlen                          Label
                ::/0                                  1
            fc00::/7                                  5
            fec0::/10                                11
            2002::/16                                 2
            3ffe::/16                                12
         2001:10::/28                                 7
            2001::/32                                 6
        ::ffff:0.0.0.0/96                             4
                ::/96                                 3
               ::1/128                                0

RÜCKGABEWERT

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

systemd-networkd.service(8), systemd.network(5), systemd.netdev(5), ip(8)

ANMERKUNGEN

1.  RFC 3484
    https://tools.ietf.org/html/rfc3484

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.